<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { toRefs, ref, computed} from 'vue';
const props = defineProps<{
    label: string,
    modelValue: boolean,
    header?: string,
    warning?: string,
    leftLabel?: string
}>();
const emits = defineEmits<{
    (e: 'update:modelValue',value: boolean):void
}>();
const { modelValue } = toRefs(props);

const localModelValue = ref(computed({
    get: ()=> modelValue.value,
    set: (value:boolean) => emits('update:modelValue', value)
}));

</script>
<template>
<div class="mb-2">
    <span v-if="props.header">{{props.header}}<br v-if="props.warning">
        <span class="text-orange-400" v-if="props.warning">{{props.warning}}</span>
    </span>
    <div>
        <label class="flex flex-row gap-2">
            <span class="align-middle" style="line-height:23px" v-if="props.leftLabel">{{props.leftLabel}}</span>
            <input class="toggle-switch w-8 h-4 bg-white bg-no-repeat border border-gray-500 appearance-none mt-1 align-top checked:bg-accent1-default rounded-md transition duration-150 ease-in-out" type="checkbox" v-model="localModelValue">
            <span class="align-middle" style="line-height:23px">{{props.label}}</span>
        </label>
    </div>
</div>
</template>
<style scoped>
.toggle-switch{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 120 120'%3e%3ccircle cx='60' cy='60' r='50' fill='%23ccc'/%3e%3c/svg%3e");
}

.toggle-switch:checked{
    background-position: right center;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 120 120'%3e%3ccircle cx='60' cy='60' r='50' fill='%23fff'/%3e%3c/svg%3e");
}
</style>